# Class KickRequest | EchoHub Documentation

# Class KickRequest

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record KickRequest : IEquatable<KickRequest>

Inheritance
  object
  KickRequest

Implements
  IEquatable<KickRequest>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### KickRequest(KickRequest)

    protected KickRequest(KickRequest original)

#### Parameters

`original` KickRequest

### KickRequest(string?)

    public KickRequest(string? Reason = null)

#### Parameters

`Reason` string

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Reason

    public string? Reason { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string?)

    public void Deconstruct(out string? Reason)

#### Parameters

`Reason` string

### Equals(KickRequest?)

    public virtual bool Equals(KickRequest? other)

#### Parameters

`other` KickRequest

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(KickRequest?, KickRequest?)

    public static bool operator ==(KickRequest? left, KickRequest? right)

#### Parameters

`left` KickRequest
`right` KickRequest

#### Returns

bool

### operator !=(KickRequest?, KickRequest?)

    public static bool operator !=(KickRequest? left, KickRequest? right)

#### Parameters

`left` KickRequest
`right` KickRequest

#### Returns

bool